package com.weiqi.vo;

import java.io.Serializable;

public class AutoBiStatisticSpVo   implements Serializable {
    private String spName;
    private double spProdSuccessRate;
    private double spProdResponseTime;
    private int spProdSubmitCount;
    private int spProdSuccessCount;
    private int spProdFailCount;
    private int spMarketingSubmitCount;
    private int spMarketingSuccessCount;
    private int spMarketingFailCount;
    private double spMarketingSuccessRate;
    private int spFinMarketingSubmitCount;
    private int spFinMarketingSuccessCount;
    private int spFinMarketingFailCount;
    private double spFinMarketingSuccessRate;

    public String getSpName() {
        return spName;
    }

    public void setSpName(String spName) {
        this.spName = spName;
    }

    public double getSpProdSuccessRate() {
        return spProdSuccessRate;
    }

    public void setSpProdSuccessRate(double spProdSuccessRate) {
        this.spProdSuccessRate = spProdSuccessRate;
    }

    public double getSpProdResponseTime() {
        return spProdResponseTime;
    }

    public void setSpProdResponseTime(double spProdResponseTime) {
        this.spProdResponseTime = spProdResponseTime;
    }

    public int getSpProdSubmitCount() {
        return spProdSubmitCount;
    }

    public void setSpProdSubmitCount(int spProdSubmitCount) {
        this.spProdSubmitCount = spProdSubmitCount;
    }

    public int getSpProdSuccessCount() {
        return spProdSuccessCount;
    }

    public void setSpProdSuccessCount(int spProdSuccessCount) {
        this.spProdSuccessCount = spProdSuccessCount;
    }

    public int getSpProdFailCount() {
        return spProdFailCount;
    }

    public void setSpProdFailCount(int spProdFailCount) {
        this.spProdFailCount = spProdFailCount;
    }

    public int getSpMarketingSubmitCount() {
        return spMarketingSubmitCount;
    }

    public void setSpMarketingSubmitCount(int spMarketingSubmitCount) {
        this.spMarketingSubmitCount = spMarketingSubmitCount;
    }

    public int getSpMarketingSuccessCount() {
        return spMarketingSuccessCount;
    }

    public void setSpMarketingSuccessCount(int spMarketingSuccessCount) {
        this.spMarketingSuccessCount = spMarketingSuccessCount;
    }

    public int getSpMarketingFailCount() {
        return spMarketingFailCount;
    }

    public void setSpMarketingFailCount(int spMarketingFailCount) {
        this.spMarketingFailCount = spMarketingFailCount;
    }

    public double getSpMarketingSuccessRate() {
        return spMarketingSuccessRate;
    }

    public void setSpMarketingSuccessRate(double spMarketingSuccessRate) {
        this.spMarketingSuccessRate = spMarketingSuccessRate;
    }

    public int getSpFinMarketingSubmitCount() {
        return spFinMarketingSubmitCount;
    }

    public void setSpFinMarketingSubmitCount(int spFinMarketingSubmitCount) {
        this.spFinMarketingSubmitCount = spFinMarketingSubmitCount;
    }

    public int getSpFinMarketingSuccessCount() {
        return spFinMarketingSuccessCount;
    }

    public void setSpFinMarketingSuccessCount(int spFinMarketingSuccessCount) {
        this.spFinMarketingSuccessCount = spFinMarketingSuccessCount;
    }

    public int getSpFinMarketingFailCount() {
        return spFinMarketingFailCount;
    }

    public void setSpFinMarketingFailCount(int spFinMarketingFailCount) {
        this.spFinMarketingFailCount = spFinMarketingFailCount;
    }

    public double getSpFinMarketingSuccessRate() {
        return spFinMarketingSuccessRate;
    }

    public void setSpFinMarketingSuccessRate(double spFinMarketingSuccessRate) {
        this.spFinMarketingSuccessRate = spFinMarketingSuccessRate;
    }

    @Override
    public String toString() {
        return "AutoBiStatisticSpVo{" +
                "spName='" + spName + '\'' +
                ", spProdSuccessRate=" + spProdSuccessRate +
                ", spProdResponseTime=" + spProdResponseTime +
                ", spProdSubmitCount=" + spProdSubmitCount +
                ", spProdSuccessCount=" + spProdSuccessCount +
                ", spProdFailCount=" + spProdFailCount +
                ", spMarketingSubmitCount=" + spMarketingSubmitCount +
                ", spMarketingSuccessCount=" + spMarketingSuccessCount +
                ", spMarketingFailCount=" + spMarketingFailCount +
                ", spMarketingSuccessRate=" + spMarketingSuccessRate +
                ", spFinMarketingSubmitCount=" + spFinMarketingSubmitCount +
                ", spFinMarketingSuccessCount=" + spFinMarketingSuccessCount +
                ", spFinMarketingFailCount=" + spFinMarketingFailCount +
                ", spFinMarketingSuccessRate=" + spFinMarketingSuccessRate +
                '}';
    }
}